package com.tenlionsoft.aimz_k.model

data class ContactListBean(
    val contactGroupId: String,
    val contactUserId: String,
    val creator: String,
    val deleter: String,
    val gmtCreate: String,
    val gmtDelete: String,
    val gmtModified: String,
    val modifier: String,
    val note: String,
    val tenantId: String,
    val userId: String,
    val userIdAvatar: String,
    val userIdEmail: String,
    val userIdNickname: String,
    val userIdPhone: String,
    val userIdUsername: String
)

data class Order(
    val asc: Boolean, val column: String
)

data class Page(
    val current: Int, val size: Int
)

data class PageListBean<T>(
    val code: Int,
    val datas: List<T>,
    val current: Int,
    val total: Int
)

data class AddContactBean(
    val userId: String,
    var applyContent: String? = ""
)

data class ApplyContactBean(
    val applyContent: String,
    val contactUserApplyId: String,
    val creator: String,
    val deleter: String,
    val gmtCreate: String,
    val gmtModified: String,
    val modifier: String,
    var status: String,
    val tenantId: String,
    val userId: String,
    val userIdAvatar: String,
    val userIdNickname: String
)


